# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1069.45.4 -> 1.1069.45.5
#	drivers/char/agp/agpgart_be.c	1.41.1.21 -> 1.41.1.22
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 03/09/30	kochi@hpc.bs1.fc.nec.co.jp	1.1069.44.5
# ia64: initialize bootmem later, since acpi_table_init() doesn't need it.
# --------------------------------------------
# 03/09/30	trini@kernel.crashing.org	1.1069.46.1
# PPC32: Fixes to the MPC8xx uart driver, from Joakim Tjernlund <joakim.tjernlund@lumentis.se>.
# --------------------------------------------
# 03/09/30	trini@kernel.crashing.org	1.1069.47.1
# Merge bk://ppc@ppc.bkbits.net/for-marcelo-ppc
# into kernel.crashing.org:/home/trini/work/kernel/pristine/for-marcelo-ppc
# --------------------------------------------
# 03/09/30	baldrick@free.fr	1.1069.33.20
# [PATCH] USB speedtouch: biscuit for Greg
# 
# 2.4 version.
# --------------------------------------------
# 03/09/30	baldrick@free.fr	1.1069.33.21
# [PATCH] USB speedtouch: reduce memory usage
# 
# Currently, incoming packets are reassembled in a sk_buff which is then
# sent to the upper layers.  The sk_buff needs to be big enough to hold the
# worst case packet since the size cannot be known in advance.  This would
# not be so bad if the ATM layer paid attention to the mtu (usually 1500 bytes),
# but for some reason it blithely ignores it and typically passes 9188 bytes
# as the maximum size.  This means that at best 5/6 of the space in every
# sk_buff is wasted.  So instead let's just allocate an assembly buffer (sarb)
# which gets reused for every packet, and copy each assembled packet into
# a minimally sized sk_buff before sending.
# --------------------------------------------
# 03/09/30	baldrick@free.fr	1.1069.33.22
# [PATCH] USB speedtouch: extra debug messages
# --------------------------------------------
# 03/09/30	bunk@fs.tum.de	1.1069.33.23
# [PATCH] USB: USB_SERIAL_KEYSPAN_USA49WLC Configure.help entry
# 
# the trivial patch below adds a Configure.help entry for
# CONFIG_USB_SERIAL_KEYSPAN_USA49WLC.
# --------------------------------------------
# 03/09/30	bjorn.helgaas@hp.com	1.1069.44.6
# ia64: Clear corrected errors (CMCs and CPEs) in the kernel
# 
# If we don't clear them in the kernel, we'll "rediscover" the same error
# next time around.  So the kernel now reads the record, saves it (max
# of one buffered record per event per CPU), decodes part of it, and
# clears it from SAL.
# --------------------------------------------
# 03/09/30	bjorn.helgaas@hp.com	1.1069.45.5
# AGPGART: Don't include asm/msr.h unless CONFIG_AGP_NVIDIA.
# --------------------------------------------
#
diff -Nru a/drivers/char/agp/agpgart_be.c b/drivers/char/agp/agpgart_be.c
--- a/drivers/char/agp/agpgart_be.c	Thu Oct  9 15:19:37 2003
+++ b/drivers/char/agp/agpgart_be.c	Thu Oct  9 15:19:37 2003
@@ -50,7 +50,9 @@
 #include <asm/uaccess.h>
 #include <asm/io.h>
 #include <asm/page.h>
-#include <asm/msr.h>
+#ifdef CONFIG_AGP_NVIDIA
+#   include <asm/msr.h>
+#endif
 
 #include <linux/agp_backend.h>
 #include "agp.h"
